View Issue Details

IDProjectCategoryView StatusLast Update
0007312ScribusUser Interfacepublic2016-05-15 21:32
Reportercbradney Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.5svn 
Target Version1.5.2Fixed in Version1.5.2.svn 
Summary0007312: Drag/Drop of ODT to text frame outputs gibberish
DescriptionDrag/Drop an ODT in to a text frame should trigger the OpenDocument Importer menu (see 0014056). But instead it imports some gibberish string (see screencast gif)
Additional InformationI modified original ticket. Original title was "Allow drag n drop of ODT/HTML etc to text frame."

Splitting in to separate reports. 1 for ODT and the other for HTML.
Tagsdrag-n-drop, ODF, workflow
PatchNo

Relationships

related to 0013465 closedfschmid Drag/Drop of HTML to text frame 
related to 0014056 new Drag/Drop of ODT to text frame should trigger the OpenDocument Importer menu 

Activities

Kunda

2015-10-25 01:44

updater   ~0036899

Last edited: 2016-05-14 13:41

Drag/Drop of ODT file directly in to a text frame will not trigger the OpenDocument Importer menu that you would see if you imported an ODT file in to a text frame. For example:
1) open a text frame
2) File > Import > Get Text
3) choose an ODT file in the menu to import

Drag/Drop should trigger the OpenDocument Importer Options menu (see OpenDocument-Importer-Options.png) see 0014056

Kunda

2015-10-25 01:58

updater  

ODT-drag-drop.gif (88,013 bytes)   
ODT-drag-drop.gif (88,013 bytes)   

Kunda

2015-10-25 01:59

updater  

Kunda

2016-05-14 13:42

updater   ~0041032

Split off OpenDocument Importer issue in to 0014056

Kunda

2016-05-15 12:42

updater   ~0041076

Franz committed fix for this ticket in r21314
Nice! It works on MacOSX 10.10.5 1.5.2svn r21315
The remaining issue, as stated in the ticket is 0014056

Kunda

2016-05-15 21:32

updater   ~0041112

Closing this bug just shy of it's 10 year anniversary :)
Cheers!

Issue History

Date Modified Username Field Change
2008-08-27 18:12 cbradney New Issue
2015-10-25 01:44 Kunda Note Added: 0036899
2015-10-25 01:58 Kunda Patch => No
2015-10-25 01:58 Kunda Status new => confirmed
2015-10-25 01:58 Kunda Target Version 1.4 milestone => 1.6 milestone
2015-10-25 01:58 Kunda Summary Allow drag n drop of ODT/HTML etc to text frame. => Drag/Drop of ODT to text frame outputs gibberish
2015-10-25 01:58 Kunda Description Updated
2015-10-25 01:58 Kunda Additional Information Updated
2015-10-25 01:58 Kunda File Added: ODT-drag-drop.gif
2015-10-25 01:59 Kunda File Added: OpenDocument-Importer-Options.png
2015-10-25 02:01 Kunda Note Edited: 0036899
2015-10-25 02:20 Kunda Issue cloned: 0013465
2015-10-25 02:20 Kunda Relationship added related to 0013465
2016-02-28 21:50 Kunda Tag Attached: ODF
2016-05-14 13:33 Kunda Tag Attached: drag-n-drop
2016-05-14 13:33 Kunda Tag Attached: workflow
2016-05-14 13:40 Kunda Issue cloned: 0014056
2016-05-14 13:40 Kunda Relationship added related to 0014056
2016-05-14 13:41 Kunda Description Updated
2016-05-14 13:41 Kunda Note Edited: 0036899
2016-05-14 13:42 Kunda Note Added: 0041032
2016-05-15 08:34 fschmid Target Version 1.6 milestone => 1.5.2
2016-05-15 08:35 fschmid Status confirmed => resolved
2016-05-15 08:35 fschmid Fixed in Version => 1.5.2.svn
2016-05-15 08:35 fschmid Resolution open => fixed
2016-05-15 08:35 fschmid Assigned To => fschmid
2016-05-15 12:42 Kunda Note Added: 0041076
2016-05-15 21:32 Kunda Note Added: 0041112
2016-05-15 21:32 Kunda Status resolved => closed